# Uses of Class
org.apache.lucene.monitor.MonitorQuery

- ## Uses of MonitorQuery in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return MonitorQuery
  Modifier and Type
  Method
  Description
  `MonitorQuery`
  MonitorQuerySerializer.`deserialize(BytesRef binaryValue)`
  Builds a MonitorQuery from a byte representation
  `MonitorQuery`
  Monitor.`getQuery(String queryId)`
  Get the MonitorQuery for a given query id
  Methods in org.apache.lucene.monitor with parameters of type MonitorQuery
  Modifier and Type
  Method
  Description
  `void`
  ConcurrentQueryLoader.`add(MonitorQuery mq)`
  Add a MonitorQuery to the loader's internal buffer
  `void`
  Monitor.`register(MonitorQuery... queries)`
  Add new queries to the monitor
  `BytesRef`
  MonitorQuerySerializer.`serialize(MonitorQuery query)`
  Converts a MonitorQuery into a byte representation
  Method parameters in org.apache.lucene.monitor with type arguments of type MonitorQuery
  Modifier and Type
  Method
  Description
  `default void`
  MonitorUpdateListener.`afterUpdate(List<MonitorQuery> updates)`
  Called after a set of queries have been added to the Monitor's query index
  `void`
  Monitor.`register(Iterable<MonitorQuery> queries)`
  Add new queries to the monitor